<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Book House</title>
  <base href="/">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico">
  <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://checkout.stripe.com/checkout.js"></script>
  <script type='text/javascript'
        src='http://www.bing.com/api/maps/mapcontrol?callback=GetMap&key=Av0Pj5tpJ1heq_07e-i1ch_JMukG5hgsr3finyTNzB1f0zOx-YBZwAypOUpJGslI'
        async defer></script>  
</head>
<body class="mat-typography">
  <app-root></app-root>

  <style>
    #myMap {
      position: relative;
      width: 600px;
      height: 400px;
    }
  </style>
  
  <script type="text/javascript">
    function GetMap() {
      window.createMap = ()=> new Microsoft.Maps.Map("#myMap", {zoom: 7})
      // Create an instance of the search manager and re-enter function
      window.createSearchManager = (map,cb) =>
      {
        Microsoft.Maps.loadModule('Microsoft.Maps.Search', function () {
          window.searchManager = new Microsoft.Maps.Search.SearchManager(map);
          cb();
        });}
      window.addLocationToMap = addLocationToMap;
    }
  
    function addLocationToMap(name, address, map) {
      findLocationByAddress(address, map, function (location) {
        var storeLocation = location;
        var storePoint = new Microsoft.Maps.Pushpin(storeLocation);
        //map.setView({ bounds: result.bestView })
        var infobox = new Microsoft.Maps.Infobox(storeLocation, {
          title: name,
          description: address,
          visible: false
        });
        infobox.setMap(map);
        Microsoft.Maps.Events.addHandler(storePoint, 'click', function () {
          infobox.setOptions({visible: true});
        });
        map.entities.push(storePoint);
      });
    }
  
    function findLocationByAddress(address, map, foo) {
      if (!window.searchManager) {
        window.createSearchManager(map, ()=>{
          findLocationByAddress(address, map, foo)
        })
      } else {
        // If search manager is not defined, load the search module
        var searchRequest = {
          where: address,
          callback: function (r) {
            foo(r.results[0].location);
          },
          errorCallback: function (e) {
            // If there is an error
            console.log("No results found for this address: " + address);
          }
        };
        // Make the geocode request
        window.searchManager.geocode(searchRequest);
      }
    }
  </script>
</body>
</html>
